package com.iamberry.wechat.core.entity.cart;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.iamberry.wechat.core.entity.order.OrderItem;

/**
 * 用于封装订单和订单项数据的Dto
 * @author 刘志伟
 *
 */

public class ShopOrderAndItemDto implements Serializable{
	
/**
	 * 
	 */
	private static final long serialVersionUID = -14653877180516372L;

private String salesOrderid;								//订单id
	
	private String salesOpenid;								//所属用户
	
	private Integer salesYetAmount;						//付款金额
	
	private Integer salesAmount;							//订单总额
	
	private Integer salesIntegralNum;					//使用积分数量
	
	private Integer salesRateAmount;					//积分抵扣金额
	
	private Date salesCreateDate;							//订单创建时间
	
	private String salesPostNum;							//快递单号
	
	private String salesPostFirm;							//快递公司
	
	private String salesStatus;								//状态
	
	private Date salesSendDate;							//发货时间
	
	private String salesAddressInfo;						//详细地址
	
	private String salesAddressPostnum;				//邮编
	
	private String salesAddressTel;							//收件人电话
	
	private String salesAddressName;					//收件人姓名
	
	private String salesReturnDes;							//退款备注
	
	private String salesAdminRemark;					//后台的备注
	
	private String salesUserRemark;						//用户备注
	
	private String salesTransactionId;					//微信订单号
	
	private Date salesTransactionDate;					//微信支付时间
	
	private String salesRefundNo;							//系统退款ID
	
	private String salesTransactionRefundId;			//微信退款ID
	
	private Integer salesColorType;						//颜色图标
	
	private boolean efficacious;							//是否存在下架商品
	
	private List<OrderItem> orderItemList = new ArrayList<OrderItem>();	//订单项实体类



	public boolean isEfficacious() {
		return efficacious;
	}

	public void setEfficacious(boolean efficacious) {
		this.efficacious = efficacious;
	}

	public List<OrderItem> getOrderItemList() {
		return orderItemList;
	}

	public void setOrderItemList(List<OrderItem> orderItemList) {
		this.orderItemList = orderItemList;
	}

	public String getSalesOrderid() {
		return salesOrderid;
	}

	public void setSalesOrderid(String salesOrderid) {
		this.salesOrderid = salesOrderid;
	}

	public String getSalesOpenid() {
		return salesOpenid;
	}

	public void setSalesOpenid(String salesOpenid) {
		this.salesOpenid = salesOpenid;
	}

	public Integer getSalesYetAmount() {
		return salesYetAmount;
	}

	public void setSalesYetAmount(Integer salesYetAmount) {
		this.salesYetAmount = salesYetAmount;
	}

	public Integer getSalesAmount() {
		return salesAmount;
	}

	public void setSalesAmount(Integer salesAmount) {
		this.salesAmount = salesAmount;
	}

	public Integer getSalesIntegralNum() {
		return salesIntegralNum;
	}

	public void setSalesIntegralNum(Integer salesIntegralNum) {
		this.salesIntegralNum = salesIntegralNum;
	}

	public Integer getSalesRateAmount() {
		return salesRateAmount;
	}

	public void setSalesRateAmount(Integer salesRateAmount) {
		this.salesRateAmount = salesRateAmount;
	}

	public Date getSalesCreateDate() {
		return salesCreateDate;
	}

	public void setSalesCreateDate(Date salesCreateDate) {
		this.salesCreateDate = salesCreateDate;
	}

	public String getSalesPostNum() {
		return salesPostNum;
	}

	public void setSalesPostNum(String salesPostNum) {
		this.salesPostNum = salesPostNum;
	}

	public String getSalesPostFirm() {
		return salesPostFirm;
	}

	public void setSalesPostFirm(String salesPostFirm) {
		this.salesPostFirm = salesPostFirm;
	}

	public String getSalesStatus() {
		return salesStatus;
	}

	public void setSalesStatus(String salesStatus) {
		this.salesStatus = salesStatus;
	}

	public Date getSalesSendDate() {
		return salesSendDate;
	}

	public void setSalesSendDate(Date salesSendDate) {
		this.salesSendDate = salesSendDate;
	}

	public String getSalesAddressInfo() {
		return salesAddressInfo;
	}

	public void setSalesAddressInfo(String salesAddressInfo) {
		this.salesAddressInfo = salesAddressInfo;
	}

	public String getSalesAddressPostnum() {
		return salesAddressPostnum;
	}

	public void setSalesAddressPostnum(String salesAddressPostnum) {
		this.salesAddressPostnum = salesAddressPostnum;
	}

	public String getSalesAddressTel() {
		return salesAddressTel;
	}

	public void setSalesAddressTel(String salesAddressTel) {
		this.salesAddressTel = salesAddressTel;
	}

	public String getSalesAddressName() {
		return salesAddressName;
	}

	public void setSalesAddressName(String salesAddressName) {
		this.salesAddressName = salesAddressName;
	}

	public String getSalesReturnDes() {
		return salesReturnDes;
	}

	public void setSalesReturnDes(String salesReturnDes) {
		this.salesReturnDes = salesReturnDes;
	}

	public String getSalesAdminRemark() {
		return salesAdminRemark;
	}

	public void setSalesAdminRemark(String salesAdminRemark) {
		this.salesAdminRemark = salesAdminRemark;
	}

	public String getSalesUserRemark() {
		return salesUserRemark;
	}

	public void setSalesUserRemark(String salesUserRemark) {
		this.salesUserRemark = salesUserRemark;
	}

	public String getSalesTransactionId() {
		return salesTransactionId;
	}

	public void setSalesTransactionId(String salesTransactionId) {
		this.salesTransactionId = salesTransactionId;
	}

	public Date getSalesTransactionDate() {
		return salesTransactionDate;
	}

	public void setSalesTransactionDate(Date salesTransactionDate) {
		this.salesTransactionDate = salesTransactionDate;
	}

	public String getSalesRefundNo() {
		return salesRefundNo;
	}

	public void setSalesRefundNo(String salesRefundNo) {
		this.salesRefundNo = salesRefundNo;
	}

	public String getSalesTransactionRefundId() {
		return salesTransactionRefundId;
	}

	public void setSalesTransactionRefundId(String salesTransactionRefundId) {
		this.salesTransactionRefundId = salesTransactionRefundId;
	}

	public Integer getSalesColorType() {
		return salesColorType;
	}

	public void setSalesColorType(Integer salesColorType) {
		this.salesColorType = salesColorType;
	}
	
	
}
